Mutation

genetic

## Class Mutation

- java.lang.Object
- - genetic.Mutation

-     public class Mutation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private jm.music.data.Phrase` | `chromosome`
    `private jm.music.data.Phrase` | `fragment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mutation(jm.music.data.Phrase chromosome)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private jm.music.data.Phrase` | `changeFewPitches(jm.music.data.Phrase fragment)`
    `private jm.music.data.Phrase` | `changeOnePitch(jm.music.data.Phrase fragment)`
    `private void` | `copyFragment(jm.music.data.Phrase fragment)`
    `jm.music.data.Phrase` | `doMutate()`
    `jm.music.data.Phrase` | `getChromosome()`
    `static jm.music.data.Phrase` | `mixWithMotif(jm.music.data.Phrase base, jm.music.data.Phrase motif)`
    `private jm.music.data.Phrase` | `mutateOneNote(jm.music.data.Phrase fragment)`
    `private jm.music.data.Phrase` | `reverse(jm.music.data.Phrase fragment)`
    `private jm.music.data.Phrase` | `shufflePitches(jm.music.data.Phrase fragment)`
    `private jm.music.data.Phrase` | `shuffleRhythmValues(jm.music.data.Phrase fragment)`
    `private jm.music.data.Phrase` | `sortAscending(jm.music.data.Phrase fragment)`
    `private jm.music.data.Phrase` | `sortDescending(jm.music.data.Phrase fragment)`
    `private void` | `swapFragment(jm.music.data.Phrase fragment, int fragmentStartIndex)`
    `private jm.music.data.Phrase` | `transpose(jm.music.data.Phrase fragment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chromosome

          private jm.music.data.Phrase chromosome

    - #### fragment

          private jm.music.data.Phrase fragment

  - ### Constructor Detail

    - #### Mutation

          public Mutation(jm.music.data.Phrase chromosome)

  - ### Method Detail

    - #### doMutate

          public jm.music.data.Phrase doMutate()

    - #### getChromosome

          public jm.music.data.Phrase getChromosome()

    - #### transpose

          private jm.music.data.Phrase transpose(jm.music.data.Phrase fragment)

    - #### shufflePitches

          private jm.music.data.Phrase shufflePitches(jm.music.data.Phrase fragment)

    - #### changeFewPitches

          private jm.music.data.Phrase changeFewPitches(jm.music.data.Phrase fragment)

    - #### changeOnePitch

          private jm.music.data.Phrase changeOnePitch(jm.music.data.Phrase fragment)

    - #### mutateOneNote

          private jm.music.data.Phrase mutateOneNote(jm.music.data.Phrase fragment)

    - #### sortAscending

          private jm.music.data.Phrase sortAscending(jm.music.data.Phrase fragment)

    - #### sortDescending

          private jm.music.data.Phrase sortDescending(jm.music.data.Phrase fragment)

    - #### reverse

          private jm.music.data.Phrase reverse(jm.music.data.Phrase fragment)

    - #### shuffleRhythmValues

          private jm.music.data.Phrase shuffleRhythmValues(jm.music.data.Phrase fragment)

    - #### copyFragment

          private void copyFragment(jm.music.data.Phrase fragment)

    - #### mixWithMotif

          public static jm.music.data.Phrase mixWithMotif(jm.music.data.Phrase base,
                                          jm.music.data.Phrase motif)

    - #### swapFragment

          private void swapFragment(jm.music.data.Phrase fragment,
                          int fragmentStartIndex)